"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useInfiniteQuery = void 0;
const core_1 = require("react-query/core");
const useBaseQuery_1 = require("./useBaseQuery");
const utils_1 = require("./utils");
function useInfiniteQuery(arg1, arg2, arg3) {
    const parsedOptions = utils_1.parseQueryArgs(arg1, arg2, arg3);
    return useBaseQuery_1.useBaseQuery(parsedOptions, core_1.InfiniteQueryObserver);
}
exports.useInfiniteQuery = useInfiniteQuery;
